Skip to main content
PATCH
/
open_enrollment_windows
/
{public_id}
cURL
curl --request PATCH \
  --url https://sandbox.withclasp.com/open_enrollment_windows/{public_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "employer": "<string>",
  "start_date": "2023-11-07T05:31:56Z",
  "end_date": "2023-11-07T05:31:56Z",
  "plans": [
    "<string>"
  ],
  "enrollment_type": "active"
}
'
{
  "id": "<string>",
  "employer": "<string>",
  "start_date": "2023-11-07T05:31:56Z",
  "end_date": "2023-11-07T05:31:56Z",
  "renewal_date": "2023-12-25",
  "status": "setup_required",
  "completed_at": "2023-11-07T05:31:56Z",
  "plans": [
    "<string>"
  ],
  "enrollment_type": "active"
}

Authorizations

Authorization
string
header
required

API Key authentication with required prefix "Bearer"

Path Parameters

public_id
string
required

Body

application/json
employer
string
start_date
string<date-time>
end_date
string<date-time>
plans
string[]
enrollment_type
enum<string>
  • active - Active
  • passive - Passive
Available options:
active,
passive

Response

200 - application/json
id
string
required
employer
string
required
start_date
string<date-time>
required
end_date
string<date-time>
required
renewal_date
string<date>
required
status
enum<string>
required
  • setup_required - Setup Required
  • build_in_progress - Build In Progress
  • active - Active
  • closed - Closed
  • completed - Completed
Available options:
setup_required,
build_in_progress,
active,
closed,
completed
completed_at
string<date-time> | null
required
plans
string[]
enrollment_type
enum<string>
  • active - Active
  • passive - Passive
Available options:
active,
passive